Subject: Re: [PATCH 1/2] net: Remove net/ipx.h and uapi/linux/ipx.h header files

From: Steve Grubb <[email-masked]>
Date: Wed, 22 Sep 2021 13:25:29 -0400

On Wednesday, September 22, 2021 1:01:58 PM EDT Paul Cercueil wrote:
> >> IPX is marked obsolete for serveral years. so remove it and the
> >> dependency in linux tree.
> >> I'm sorry to not thinking about linux-audit and strace.
> >> Might you remove the dependency or make the part of the code.
> >> Many thanks.
> > 
> > Unfortunately, that is not how UAPI works.  That change breaks
> > building
> > of the existing code;  one cannot change already released versions
> > of either audit, strace, or any other userspace program that happens
> > to unconditionally include <linux/ipx.h> without any fallback (like
> > <netipx/ipx.h> provided by glibc).
> 
> Also, the <netipx/ipx.h> fallback is only provided by glibc (and maybe
> uclibc?). With this patch, it is now impossible to compile even the
> very latest version of "strace" with a musl toolchain.

I've made support for ipx optional in audit user space a couple weeks back. 
It's no longer a problem for us.

-Steve